<?php
/*
* $Id: featured.php
* $Loc: /includes/system/override/featured_products/
*
* Name: FeaturedProducts
* Version: 2.3.11
* Release Date: 2024-12-03
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

  class Featured {

////
// Sets the status of a special product
    public static function set_featured_status($featured_id, $status) {
      return $GLOBALS['db']->query(sprintf(<<<'EOSQL'
UPDATE featured
  SET status = %s, date_status_change = NOW()
  WHERE featured_id = %s
EOSQL
      , (int)$status, (int)$featured_id));
    }

////
// Auto expire featured products
    public static function expire_featured() {
      return $GLOBALS['db']->query(<<<'EOSQL'
UPDATE featured
  SET status = 0, date_status_change = NOW()
  WHERE status = 1
    AND NOW() >= expires_date
    AND expires_date > 0
EOSQL
      );
    }

  public static function list_featurable($name = '', $model = '') {

    $products_sql = sprintf(<<<'EOSQL'
SELECT p.products_id, p.products_model, pd.products_name, p.products_price AS base_price
  FROM products p
    INNER JOIN products_description pd
      ON p.products_id = pd.products_id
    LEFT JOIN featured f
      ON p.products_id = f.products_id
  WHERE pd.language_id = %s
    AND f.products_id IS NULL
EOSQL
      , (int)$_SESSION['languages_id']);


    if (!Text::is_empty($name)) {
      $products_sql .= sprintf(<<<'EOSQL'
  AND pd.products_name like '%%%s%%'
EOSQL
      , $GLOBALS['db']->escape($name));
    }

    if (!Text::is_empty($model)) {
      $products_sql .= sprintf(<<<'EOSQL'
  AND p.products_model like '%%%s%%'
EOSQL
      , $GLOBALS['db']->escape($model));
    }

    $products_sql .= <<<'EOSQL'
  ORDER BY pd.products_name
EOSQL
    ;

    $products_query = $GLOBALS['db']->query($products_sql);

    $options[] = [
      'id' => '',
      'text' => TEXT_FEATURED_ENFORCE_SELECTION,
    ];

    while ($product = $products_query->fetch_assoc()) {
      $product = new Product($product);
      $options[] = [
        'id' => $product->get('id'),
        'text' => sprintf('%s [%s] (%s)', $product->get('name'), $product->get('model'), $product->format()),
      ];
    }

    return $options;
  }

  }
